Skip to main content
GET
/
v1
/
integrators
/
{integratorId}
/
withdraw
/
{chainId}
Get transaction request for withdrawing collected integrator's fees by chain
curl --request GET \
  --url https://li.quest/v1/integrators/{integratorId}/withdraw/{chainId}
import requests

url = "https://li.quest/v1/integrators/{integratorId}/withdraw/{chainId}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://li.quest/v1/integrators/{integratorId}/withdraw/{chainId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "transactionRequest": {
    "data": "0x",
    "to": "0xbD6C7B0d2f68c2b7805d88388319cfB6EcB50eA9"
  }
}

Headers

x-lifi-api-key
string

Authentication header, register in the LI.FI Partner Portal (https://portal.li.fi/ ) to get your API Key.

Path Parameters

integratorId
string
required

Id of the integrator that requests fee withdrawal

chainId
string
required

Specify chainId from which funds should be withdrawn

Query Parameters

tokenAddresses
string[]

Specify tokens from which funds should be withdraw

Response

Response of the integrator's fee withdrawal transaction request

Transaction request for withdrawing integrator's collected fees for the specified chain

transactionRequest
object
required

The transaction request